Subject: Re: bug#71386: 29.1; Frame is auto-deleted even when it has multiple tabs

From: Ship Mints <[email-masked]>
Date: Tue, 1 Apr 2025 11:00:20 -0400

On Tue, Apr 1, 2025 at 10:46 AM martin rudalics <[email-masked]> wrote:

>  >>   > I didn't alter tab-bar-mode to tab-bar-lines as Martin
>  >>   > suggested.
>  >>
>  >> When did I suggest that?  IIRC I only said that I don't know which of
>  >> the two you wanted to fix.
>  >>
>  >
>  > I meant this suggestion you made "(> (frame-parameter frame
> 'tab-bar-lines)
>  > 0) is more reliable" than "((and tab-bar-mode";
>
> Ah yes.  A frame might have no tab bar even if tab-bar-mode is enabled.
>

One can use tab-bar features without displaying the tab-bar, though.
tab-bar-history-mode as a winner-mode replacement works.  tabs still work
as window-configuration controls even without a visible tab-bar, isn't that
right?  I don't use it this way but I think it works.